
package de.codedo.conflicteditor.gui;

import javax.swing.event.ListSelectionEvent;

public abstract class AdjustingSelectionExecutable extends Object implements Executable<ListSelectionEvent>
{
    @Override
    public void execute(ListSelectionEvent event) throws Exception
    {
        if (event.getValueIsAdjusting() == false)
        {
            execute(event.getFirstIndex());
        }
    }

    protected abstract void execute(int index) throws Exception;
}
